FaqProfilerWhichJDK

Which JDK releases can be used with the Profiler?

The Profiler can profile applications running on the following JVMs:

  • A standard JDK 5.0_04 VM or later, JDK 5.0 Update 12 or later is recommended.
  • A standard JDK 6.0 VM or later, JDK 6 Update 6 or later is recommended.
  • A standard JDK 7.0 VM is supported.
  • Initial support for JDK 8 was added in NetBeans 7.2

Supported operating systems/architectures are currently Solaris (both SPARC and x86 platforms), Linux, Windows, Mac OS X. Both 32-bit and 64-bit JVMs are supported on Solaris, Linux and Windows.

Also see Profiler documentation for more details on the Profiler's interaction with different JVMs.


Back to NetBeans IDE Profiling FAQs

Back to NetBeans User FAQs

Not logged in. Log in, Register

By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo